post
https://www.clickpost.in/api/v1/edit-order/
Edit Order API allows the enterprise to edit specific details for a shipment that has already been manifested.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Payload Example
{
"awb_number": "20719799",
"order_type": "PREPAID",
"courier_partner": 220
}{
"awb_number": "999999999",
"qc_type": "doorstep",
"courier_partner": 11
}{
"awb_number": "20719789",
"order_type": "COD",
"cod_value" : 123.50,
"courier_partner": 3
}{
"awb_number": "12345",
"ewaybill_serial_number":"145908",
"invoice_number":"234678",
"invoice_date":"2021-08-20",
"edit_order_service":2,
"courier_partner": 5
}{
"awb_number": "<awb>",
"courier_partner": 1,
"account_code": "<account_code>",
"letterhead_base_64": "<base64 png or gif>",
"signature_base_64": "<base64 png or gif>",
"pdf_invoice": "<base64 pdf>"
}Important Links
Query Parameters
| Field Name | Data Type | Field | Description |
|---|---|---|---|
username | String | Mandatory | Username of the registered enterprise |
key | String | Mandatory | Unique license key for the enterprise user |
Request Payload
| Field Name | Data Type | Field | Description |
|---|---|---|---|
carrier_partner | Integer | Mandatory | Partner ID of the carrier partner |
order_type | String | Mandatory | Order type of the shipment
|
awb_number | String | Mandatory | The Air Waybill of the shipment that needs to be edited |
qc_type | ENUM | Optional | The values it takes
|
sku | STRING | SKU of the item. If the customer wishes QC on the entire shipment they should ignore this field. If they wish QC on a specific shipment they should pass the SKU value of the shipment. | |
cod_value | Float | Conditional | Amount to be collected at the doorstep for cash on delivery mode. (Only required when prepaid to cod conversion is being done) |
ewaybill_serial_number | String | Conditional | EWaybill Serial Number for the shipment. |
invoice_number | String | Conditional | An invoice number is a unique identifier assigned to a commercial invoice, which is a document used for billing a shipment of goods |
invoice_date | String | Conditional | Date of issuance of the invoice of the shipment. (YYYY-MM-DD format only) |
Response
The sample response can have the following fields
| Field Name | Data Type | Description |
|---|---|---|
meta | Object | Metadata for the result, e.g. status code, error messages. |
Response Meta
| Field Name | Data Type | Description |
|---|---|---|
status | Integer | Status code of the response (including, but not limited to HTTP Status codes) |
message | String | Error message (if any errors) for the request. |
success | Boolean | Whether the request is successful or not. |
